### Home Classes Methods

### In Files

- lib/ramaze/helper/erector.rb

### Parent

Object

### Methods

- #css
- #ie_if
- #inspect
- #js
- #old_css
- #strict_xhtml

### Class/Module Index

Quicksearch

- Ramaze
- Ramaze::App
- Ramaze::AppGraph
- Ramaze::Bin
- Ramaze::Bin::Console
- Ramaze::Bin::Create
- Ramaze::Bin::Helper
- Ramaze::Bin::Restart
- Ramaze::Bin::Runner
- Ramaze::Bin::Start
- Ramaze::Bin::Status
- Ramaze::Bin::Stop
- Ramaze::Cache
- Ramaze::Cache::LRU
- Ramaze::Cache::LocalMemCache
- Ramaze::Cache::MemCache
- Ramaze::Cache::Redis
- Ramaze::Cache::Sequel
- Ramaze::Controller
- Ramaze::CoreExtensions
- Ramaze::CoreExtensions::Array
- Ramaze::CoreExtensions::Binding
- Ramaze::CoreExtensions::Kernel
- Ramaze::CoreExtensions::Numeric
- Ramaze::CoreExtensions::Object
- Ramaze::CoreExtensions::Proc
- Ramaze::CoreExtensions::String
- Ramaze::Current
- Ramaze::DefaultController
- Ramaze::Dictionary
- Ramaze::Fiber
- Ramaze::Files
- Ramaze::GemSetup
- Ramaze::Gestalt
- Ramaze::Helper
- Ramaze::Helper::Auth
- Ramaze::Helper::Bench
- Ramaze::Helper::BlueForm
- Ramaze::Helper::BlueForm::Form
- Ramaze::Helper::CSRF
- Ramaze::Helper::Cache
- Ramaze::Helper::Cache::SingletonMethods
- Ramaze::Helper::Disqus
- Ramaze::Helper::Email
- Ramaze::Helper::Erector
- Ramaze::Helper::Flash
- Ramaze::Helper::Formatting
- Ramaze::Helper::Gestalt
- Ramaze::Helper::Gravatar
- Ramaze::Helper::Identity
- Ramaze::Helper::Layout
- Ramaze::Helper::Layout::SingletonMethods
- Ramaze::Helper::Link
- Ramaze::Helper::Localize
- Ramaze::Helper::Localize::Dictionary
- Ramaze::Helper::Localize::Parser
- Ramaze::Helper::Markaby
- Ramaze::Helper::Maruku
- Ramaze::Helper::Paginate
- Ramaze::Helper::Paginate::Paginator
- Ramaze::Helper::Paginate::Paginator::ArrayPager
- Ramaze::Helper::Paginate::Paginator::DataMapperPager
- Ramaze::Helper::Remarkably
- Ramaze::Helper::RequestAccessor
- Ramaze::Helper::SendFile
- Ramaze::Helper::SimpleCaptcha
- Ramaze::Helper::Stack
- Ramaze::Helper::Thread
- Ramaze::Helper::Ultraviolet
- Ramaze::Helper::Upload
- Ramaze::Helper::Upload::ClassMethods
- Ramaze::Helper::Upload::UploadedFile
- Ramaze::Helper::UserHelper
- Ramaze::Helper::UserHelper::Wrapper
- Ramaze::Helper::XHTML
- Ramaze::LRUHash
- Ramaze::Logger
- Ramaze::Logger::Analogger
- Ramaze::Logger::Growl
- Ramaze::Logger::Informer
- Ramaze::Logger::Knotify
- Ramaze::Logger::LogHub
- Ramaze::Logger::Logger
- Ramaze::Logger::RotatingInformer
- Ramaze::Logger::Syslog
- Ramaze::Logger::Xosd
- Ramaze::Logging
- Ramaze::MiddlewareCompiler
- Ramaze::Plugin
- Ramaze::Reloader
- Ramaze::Reloader::Hooks
- Ramaze::Reloader::WatchInotify
- Ramaze::Reloader::WatchStat
- Ramaze::Request
- Ramaze::Response
- Ramaze::SpecLogger
- Ramaze::Struct
- Ramaze::View
- Ramaze::View::Erector
- Ramaze::View::Erubis
- Ramaze::View::Ezamar
- Ramaze::View::Gestalt
- Ramaze::View::Haml
- Ramaze::View::Liquid
- Ramaze::View::Liquid::Tag
- Ramaze::View::Lokar
- Ramaze::View::Mustache
- Ramaze::View::Mustache::RamazeContext
- Ramaze::View::Nagoro
- Ramaze::View::Remarkably
- Ramaze::View::Sass
- Ramaze::View::Slippers
- Ramaze::View::Tagz
- Ramaze::View::Tagz::Methods
- Ramaze::View::Tenjin
- Nagoro
- Nagoro::Pipe
- Nagoro::Pipe::RenderPartial
- Bacon
- Bacon::PrettyOutput
- Erector
- Erector::Widget
- Rack
- Rack::RouteExceptions
- Tenjin
- Tenjin::Template
- BlankSlate
- Controller
- Fiber
- FiberError
- MainController
- Object
- OrderedSet
- Thread

No matching classes.

# Erector::Widget

### Public Instance Methods

css(href, args = {}) click to toggle source

Generate a stylesheet tag.

@example

    css 'css/reset.css', :media => 'print'

@param [String] href The path (either absolute or relative) to the CSS

    file.

@param [Hash] args A hash containing additional arguments to add to

    the CSS tag.

    # File lib/ramaze/helper/erector.rb, line 101
    def css(href, args = {})
      attrs = {
        :rel => "stylesheet",
        :href => href,
        :type => "text/css"
      }.merge(args)

      link attrs
    end

Also aliased as: old_css
ie_if(expr, &block) click to toggle source

Generate a pair of conditional tags for a specific browser.

@example

    ie_if 'IE' do
      ......
    end

@param [String] expr The if expression, such as 'IE' or 'lte IE7'. @param [block] block Block that contains the data that needs to be

    loaded for the specified browser.

    # File lib/ramaze/helper/erector.rb, line 75
    def ie_if(expr, &block)
      raw! "<!--[if #{expr}]>"
      yield
      raw! "<![endif]-->"
    end

inspect(elem) click to toggle source

Inspect the specified element.

@param [String] elem The element to inspect.

    # File lib/ramaze/helper/erector.rb, line 86
    def inspect(elem)
      text elem.inspect
    end

js(src) click to toggle source

Generate a Javascript tag.

@example

    js 'javascript/jquery.js'

@param [String] src The full or relative path to the Javascript file.

    # File lib/ramaze/helper/erector.rb, line 59
    def js(src)
      script :src => src
    end

old_css(href, args = {}) click to toggle source
Alias for: css
strict_xhtml(*args, &block) click to toggle source

Method that generates a XHTML 1.0 Strict doctype.

@example

    strict_html do
      head do
        title "Ramaze Rocks!"
      end
      body
        div do

        end
      end
    end

@param [Hash] args Hash containing extra options such as the xml:lang

    and xmlns attribute.

@param [Block] block Block that contains the inner data of the <html>

    element.

    # File lib/ramaze/helper/erector.rb, line 45
    def strict_xhtml(*args, &block)
      raw! '<?xml version="1.0" encoding="UTF-8"?>'
      raw! '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "DTD/xhtml1-strict.dtd">'
      html(:xmlns => "http://www.w3.org/1999/xhtml", :"xml:lang" => "en", :lang => "en", &block)
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.